Published

ParentPay has issued updated guidance on the use of older browsers. They are advising all users not to access their ParentPay accounts via older obsolete browsers which are no longer supported and which may contain known security issues.

ParentPay has issued the following list of recommended browsers and it is good practice in general to update to these later versions:

Chrome 35 or higher

Firefox 30 or higher

Internet Explorer 9 or higher

Safari 6 or higher

ParentPay have advised us that after 12th January 2016 – ‘Failure to use a supported browser will mean that you will be unable to login to ParentPay.’